Summary:	Tools for converting websites from using GIFs to using PNGs
Summary(es.UTF-8):	Herramienta para convertir sitios y imagenes de GIFs hacia PNGs
Summary(fr.UTF-8):	Outils de conversion de sites: convertit les GIFs en PNGs
Summary(pl.UTF-8):	Narzędzia do konwersji plików GIF na pliki PNG
Summary(pt_BR.UTF-8):	Ferramentas para a conversão de arquivos no formato GIF para PNG
Name:		gif2png
Version:	2.5.14
Release:	1
License:	BSD-like
Group:		Applications/Graphics
Source0:	http://catb.org/~esr/gif2png/%{name}-%{version}.tar.gz
# Source0-md5:	c63d13030a1386e2b3b4c6da2bb6a007
URL:		http://catb.org/~esr/gif2png/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libpng-devel >= 2:1.2.0
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for converting GIFs to PNGs. The program gif2png converts GIF
files to PNG files. The Python script web2png converts an entire web
tree, also patching HTML pages to keep IMG SRC references correct.

%description -l es.UTF-8
Herramienta de conversion GIF hacia PNG. El programa gif2png convierte
los archivos GIF al formato PNG. El script Python convierte un arbol
web completo y modifica incluso las paginas html para poner al dia las
referencias a imagenes <IMG SRC ...>.

%description -l fr.UTF-8
Outil de conversion du format GIF au format PNG. Le programme gif2png
convertit les fichiers GIF au format PNG. Le script Python scanne une
arborescence web complete et modifie aussi les pages HTML afin de
référencer à nouveau les fichiers images <IMG SRC ...>.

%description -l pl.UTF-8
Narzędzia do konwersji plików GIF do formatu PNG. Program gif2png
konwertuje pliki GIF do formatu PNG. Pythonowy skrypt web2png
konwertuje całe drzewo witryny WWW, poprawiając jednocześnie odnośniki
IMG SRC w stronach HTML.

%description -l pt_BR.UTF-8
Ferramentas para conversão de GIFs para PNG. O programa gif2png
converte arquivos no formato GIF para o formato PNG. O roteiro em
python web2png converte automaticamente vários arquivos em seus
sub-diretórios, assim como modifica as páginas HTML mantendo as
referência IMG SRC.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python,/usr/bin/python,' web2png

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DVERSION=\\\"%{version}\\\"" \
	CPPFLAGS="%{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING INSTALL NEWS README gif2png-logo.png
%attr(755,root,root) %{_bindir}/gif2png
%attr(755,root,root) %{_bindir}/web2png
%{_mandir}/man1/gif2png.1*
%{_mandir}/man1/web2png.1*
%changelog
* Fri Aug 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gif2png.git;a=log;h=master

* Fri Jun 21 2019 Adam Gołębiowski <adamg@pld-linux.org> 63c0f74
- updated to 2.5.14

* Fri Jun 21 2019 Adam Gołębiowski <adamg@pld-linux.org> 1295ac2
- updated to 2.5.13, docs are back in tarball

* Thu Mar 21 2019 Adam Gołębiowski <adamg@pld-linux.org> 2354d75
- updated to 2.5.12

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f5f15e
- updated to 2.5.11

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 037eae7
- updated to 2.5.9

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ac7059f
- release 2 (by relup.sh)

* Sun Mar 11 2012 Jakub Bogusz <qboosh@pld-linux.org> d9e2ac3
- updated to 2.5.8
- removed obsolete libpng patch

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 031fd18
- release 2

* Wed Feb 01 2012 Jakub Bogusz <qboosh@pld-linux.org> fdbb5a2
- updated to 2.5.5
- added libpng patch to fix build with libpng 1.5.x

* Wed Jan 26 2011 Jakub Bogusz <qboosh@pld-linux.org> be6f1eb
- updated to 2.5.4

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 8659818
- updated to 2.5.3
- removed obsolete libpng patch

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> cc5caa0
- BR: rpm-pythonprov

* Mon Feb 08 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d73f89d
- added -libpng.patch
- more verbose files
- release 3

* Mon Feb 08 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5ff5793
- fixes build with libpng 1.4 (from Gentoo)

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e8819c
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dd58eba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 32a8c41
- converted to UTF-8

* Thu Jan 01 2004 Adam Gołębiowski <adamg@pld-linux.org> c9e89eb
- updated to 2.5.1

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> c879d37
- spaces -> tab

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> c2f5594
- cosmetics

